/*  Header file for calclik.c                          */

/*  (c) Copyright 1996, Andrew Rambaut & Nick Grassly  */
/*  Department of Zoology, University of Oxford        */

#ifndef _CALCLIK_H_
#define _CALCLIK_H_

/* globals */

extern TNode *startNode;

/* A function pointer for the calclik function */
extern double (*CalcLik)(int, int, int);

/* prototypes */
void SetupLikelihood(TTree *);
double codonCalcLik(int, int, int);
double gammaCalcLik(int, int, int);


#endif /* _CALCLIK_H_ */

